# Generated from puppet-lint-optional_default-check-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppet-lint-optional_default-check

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A puppet-lint plugin to check Optional parameters default to `undef`
License: MIT
URL: https://github.com/alexjfisher/puppet-lint-optional_default-check
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its) >= 1.0
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(rspec-collection_matchers) >= 1.0
# BuildRequires: rubygem(rspec-collection_matchers) < 2
# BuildRequires: rubygem(coveralls) >= 0.7
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(rubocop) >= 1.11.0
# BuildRequires: rubygem(rubocop) < 1.12
# BuildRequires: rubygem(rubocop-rspec) >= 2.2.0
# BuildRequires: rubygem(rubocop-rspec) < 2.3
# BuildRequires: rubygem(rubocop-rake) >= 0.5.1
# BuildRequires: rubygem(rubocop-rake) < 0.6
# BuildRequires: rubygem(rubocop-performance) >= 1.10.2
# BuildRequires: rubygem(rubocop-performance) < 1.11
BuildArch: noarch

%description
A puppet-lint plugin to check that Optional class/defined type parameters
don't default to anything other than `undef`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.0-1
- Initial package
